# Based on original file by Carlos Morgado <chbm@chbm.nu>

Summary: neon is an HTTP and WebDAV client library

Name: libneon
Version: 0.24.7
Release: alt1

License: LGPL
Group: System/Libraries
Url: http://www.webdav.org/neon/
Packager: Sviatoslav Sviridov <svd@altlinux.ru>

Source: http://www.webdav.org/neon/neon-%version.tar.gz

%def_disable static

# Automatically added by buildreq on Mon Feb 23 2004
BuildRequires: libexpat-devel libssl-devel openssl pkgconfig zlib-devel libkrb5-devel

%description
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%package devel
Summary: Header files for neon HTTP and WebDAV client library
Group: System/Libraries
Requires: %name = %version-%release

%description devel
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%package devel-static
Summary: neon HTTP and WebDAV static client library
Group: System/Libraries
Requires: %name-devel = %version-%release

%description devel-static
neon is an HTTP and WebDAV client library, with a C language API.
Provides lower-level interfaces to directly implement new HTTP
methods, and higher-level interfaces so that you don't have to
worry about the lower-level stuff.

%prep
%setup -n neon-%version -q

%build
%configure \
	--enable-shared=yes \
	 %{subst_enable static} \
	--with-ssl \
	--with-expat \
	#
%make_build

%install
%makeinstall
%__rm -rf %buildroot%_docdir/neon-%version/html

%files
%doc AUTHORS NEWS README TODO BUGS THANKS
%_libdir/%name.so.*

%files devel
%_bindir/neon-config
%_includedir/neon/*.h
%_libdir/%name.so
%_libdir/pkgconfig/neon.pc
#%%_libdir/%name.la
%_man1dir/*
%_man3dir/*
%doc doc/html doc/parsing-xml.txt doc/using-neon.txt

%if_enabled static
%files devel-static
%_libdir/%name.a
%endif

%changelog
* Wed Jul 28 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.7-alt1
- 0.24.7

* Fri May 14 2004 Dmitry V. Levin <ldv@altlinux.org> 0.24.5-alt2
- Fixed libneon sscanf overflow (CAN-2004-0398).
- Do not build static library by default.
- Fixed interpackage dependencies.
- Fixed build dependencies.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 0.24.5-alt1.1
- Rebuilt with openssl-0.9.7d.

* Wed Apr 14 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.5-alt1
- 0.24.5
- do not apply any patches (already applied in upstream)

* Fri Apr 02 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt3
- applied patch CAN-2004-0179: neon format string bugs
- compiled with Kerberos support

* Wed Mar 24 2004 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt2
- packaged file %%_libdir/pkgconfig/neon.pc
- documentation moved to devel subpackage

* Sun Nov 30 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.4-alt1
- 0.24.4
- removed *.la

* Mon Oct 13 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.24.3-alt1
- 0.24.3

* Tue Apr 29 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.9-alt1
- 0.23.9
- html docs placed in 'html' subdir
- manpages included in libneon-devel

* Mon Mar 03 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.8-alt1
- 0.23.8:
  + SECURITY: Prevent control characters from being included in the
    reason_phrase field filled in by ne_parse_statusline(), and in
    the session error string.
  + Disable getaddrinfo() support on HP-UX; fix resolver for HP-UX 11.11.
  + Fix digest auth response verification for >9 responses in session
    (bug manifests as "Server was not authenticated correctly" error).
  + On Linux, skip slow lookup for IPv6 addresses when IPv6 support is
    not loaded in kernel (thanks to Daniel Stenberg for this technique).
  + Update to autoconf 2.57 and libtool 1.4.3.

* Wed Jan 29 2003 Sviatoslav Sviridov <svd@altlinux.ru> 0.23.7-alt1
- new version
- updated BuildRequires

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 0.23.5-alt1
- new version

* Fri Oct 04 2002 Rider <rider@altlinux.ru> 0.23.4-alt1
- new version
- specfile cleanup

* Thu Jun 14 2001 AEN <aen@logic.ru> 0.15.1-alt1
- first build for Sisyphus
